This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 682345 - Test suite assumes all ethernet devices are named ethX
Test suite assumes all ethernet devices are named ethX
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 682334
  Show dependency treegraph
 
Reported: 2011-03-04 16:38 EST by Bill Nottingham
Modified: 2014-03-16 23:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-10 11:14:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-03-04 16:38:10 EST
Description of problem:

Heartbeat-3-0-STABLE-3.0.4/cts/CTStests.py.in:

    def PathCount(self):
        '''Return number of communication paths'''
        Path = self.CM.InternalCommConfig()
        cf = self.CM.cf
        eths = []
        serials = []
        num = 0
        for interface in Path["interface"]:
            if re.search("eth",interface):
                eths.append(interface)
                num = num + 1
            if re.search("/dev",interface):
                serials.append(interface)
                num = num + 1

        return (num, eths, serials)

Version-Release number of selected component (if applicable):

heartbeat-3.0.4

How reproducible:

Via code inspection
Comment 1 Andrew Beekhof 2011-03-10 02:53:49 EST
Hey Bill,

Pretty safe to ignore this, the RedundantPath test is actually disabled on line 1456.
I don't think anyone uses the entire test suite anymore either.

-- Andrew
Comment 2 Bill Nottingham 2011-03-10 10:31:56 EST
OK then! Feel free to close.

Note You need to log in before you can comment on or make changes to this bug.